## prodigal 2.6.1

=== Makefile ===
##############################################################################
#   PRODIGAL (PROkaryotic DynamIc Programming Genefinding ALgorithm)
#   Copyright (C) 2007-2014 University of Tennessee / UT-Battelle
#
#   Code Author:  Doug Hyatt
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################

SHELL   = /bin/sh
CC      = gcc

CFLAGS  = -pedantic -Wall -O3
LFLAGS = -lm

TARGET  = prodigal
SOURCES = $(shell echo *.c)
HEADERS = $(shell echo *.h)
OBJECTS = $(SOURCES:.c=.o)

INSTALLDIR  = /usr/local/bin

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS)

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c -o $@ $<

install: $(TARGET)
	install -d -m 0755 $(INSTALLDIR)
	install -m 0755 $(TARGET) $(INSTALLDIR)
 
uninstall:
	-rm $(BINDIR)/$(TARGET)

clean:
	-rm -f $(OBJECTS)
 
distclean: clean
	-rm -f $(TARGET)

.PHONY: all install uninstall clean distclean

=== debian/changelog ===
prodigal (1:2.6.1-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1415175)

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 23 Feb 2015 19:15:47 +0100

prodigal (1:2.6.1-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * Add citation
  * `cme fix dpkg-control` to fix Vcs-Browser
  * Add myself as Uploader
  * Use manually created manpage since help2man does a bad job
    Closes: #761684
  * d/watch: code moved to Github and changed versioning scheme
  * d/rules: override_dh_auto_install to prevent installing to /usr/local

 -- Andreas Tille <tille@debian.org>  Tue, 16 Sep 2014 08:59:43 +0200

prodigal (2.60-1) unstable; urgency=low

  * Initial release (Closes: #756291).

 -- Olivier Sallou <osallou@debian.org>  Mon, 28 Jul 2014 09:21:35 +0200

=== debian/control ===
Source: prodigal
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/prodigal/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prodigal/trunk/
Homepage: http://prodigal.ornl.gov/

Package: prodigal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Microbial (bacterial and archaeal) gene finding program 
 Prodigal (Prokaryotic Dynamic Programming Genefinding Algorithm) is a
 microbial (bacterial and archaeal) gene finding program developed at
 Oak Ridge National Laboratory and the University of Tennessee.
 Key features of Prodigal include:
 .
 Speed: Prodigal is an extremely fast gene recognition tool
 (written in very vanilla C). It can analyze an entire microbial genome
 in 30 seconds or less.
 .
 Accuracy: Prodigal is a highly accurate gene finder.
 It correctly locates the 3' end of every gene in the experimentally verified
 Ecogene data set (except those containing introns).
 It possesses a very sophisticated ribosomal binding site scoring system that
 enables it to locate the translation initiation site with great accuracy
 (96% of the 5' ends in the Ecogene data set are located correctly).
 .
 Specificity: Prodigal's false positive rate compares favorably with other
 gene identification programs, and usually falls under 5%.
 .
 GC-Content Indifferent: Prodigal performs well even in high GC genomes,
 with over a 90% perfect match (5'+3') to the Pseudomonas aeruginosa curated
 annotations.
 .
 Metagenomic Version: Prodigal can run in metagenomic mode and analyze
 sequences even when the organism is unknown.
 .
 Ease of Use: Prodigal can be run in one step on a single genomic sequence
 or on a draft genome containing many sequences. It does not need to be
 supplied with any knowledge of the organism, as it learns all the properties
 it needs to on its own.

=== debian/watch ===
version=3

opts=uversionmangle=s/(\d\.)(\d)(\d)$/$1$2.$3/ \
  https://github.com/hyattpd/prodigal/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## prodigal 2.6.2

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	install -m 0755 $(TARGET) $(INSTALLDIR)
  
 uninstall:
-	-rm $(BINDIR)/$(TARGET)
+	-rm $(INSTALLDIR)/$(TARGET)
 
 clean:
 	-rm -f $(OBJECTS)

=== debian/changelog ===
prodigal (1:2.6.2-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 11 Jul 2015 18:56:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/prodigal/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prodigal/trunk/
 Homepage: http://prodigal.ornl.gov/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)

%:
	dh $@

override_dh_auto_install:
	echo "Do not try to install to /usr/local"

override_dh_clean:
	dh_clean
	rm -f prodigal.1

## prodigal 2.6.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ##############################################################################
 #   PRODIGAL (PROkaryotic DynamIc Programming Genefinding ALgorithm)
-#   Copyright (C) 2007-2014 University of Tennessee / UT-Battelle
+#   Copyright (C) 2007-2016 University of Tennessee / UT-Battelle
 #
 #   Code Author:  Doug Hyatt
 #
@@ -21,8 +21,8 @@
 SHELL   = /bin/sh
 CC      = gcc
 
-CFLAGS  = -pedantic -Wall -O3
-LFLAGS = -lm
+CFLAGS  += -pedantic -Wall -O3
+LFLAGS = -lm $(LDFLAGS)
 
 TARGET  = prodigal
 SOURCES = $(shell echo *.c)

=== debian/changelog ===
prodigal (1:2.6.3-6) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 14:00:03 +0100

prodigal (1:2.6.3-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 09:50:56 +0200

prodigal (1:2.6.3-4) unstable; urgency=medium

  * Finalise the fix proposed by Adrian Bunk
    Closes: #894473

 -- Andreas Tille <tille@debian.org>  Tue, 10 Apr 2018 14:58:10 +0200

prodigal (1:2.6.3-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * Stop overwriting the optimization with -O3
    Closes: #894473

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org

 -- Andreas Tille <tille@debian.org>  Thu, 05 Apr 2018 09:52:17 +0200

prodigal (1:2.6.3-2) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Team upload.
  * Fix "Please provide autopkgtest" Autopkgtest added
    (Closes: #890783)
  * Standards-Version: 4.1.3
  * debhelper 11

  [ Andreas Tille ]
  * Fix hardening options

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 15 Mar 2018 23:36:47 +0000

prodigal (1:2.6.3-1) unstable; urgency=medium

  * New upstream version
  * Packaging moved to Git

 -- Andreas Tille <tille@debian.org>  Sat, 20 Feb 2016 07:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/prodigal/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prodigal/trunk/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/prodigal
+Vcs-Git: https://salsa.debian.org/med-team/prodigal.git
 Homepage: http://prodigal.ornl.gov/
+Rules-Requires-Root: no
 
 Package: prodigal
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Description: Microbial (bacterial and archaeal) gene finding program 
+Description: Microbial (bacterial and archaeal) gene finding program
  Prodigal (Prokaryotic Dynamic Programming Genefinding Algorithm) is a
  microbial (bacterial and archaeal) gene finding program developed at
  Oak Ridge National Laboratory and the University of Tennessee.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
  export DEB_CFLAGS_MAINT_APPEND = -O1
else
  export DEB_CFLAGS_MAINT_APPEND = -O3
endif

%:
	dh $@

override_dh_auto_install:
	echo "Do not try to install to /usr/local"

override_dh_clean:
	dh_clean
	rm -f prodigal.1

=== debian/watch ===
version=4

opts="uversionmangle=s/(\d\.)(\d)(\d)$/$1$2.$3/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/hyattpd/prodigal/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
